GitLab 16.9存储型XSS漏洞

来源: 投稿
2024-02-23 10:21:00

漏洞描述

GitLab 是由GitLab公司开发的、基于Git的集成软件开发平台。

GitLab 受影响版本中的用户资料页面存在存储型XSS漏洞,攻击者可将恶意载荷添加到个人资料(Pronunciation字段)中,并诱导其他用户访问攻击者个人资料进而执行恶意js,攻击者可能利用该漏洞窃取用户会话令牌等敏感信息。

漏洞名称 GitLab 16.9存储型XSS漏洞
漏洞类型 XSS
发现时间 2024-02-22
漏洞影响广度 广
MPS编号 MPS-32tr-yco1
CVE编号 CVE-2024-1451
CNVD编号 -

影响范围

gitlab@[16.9, 16.9.1)

修复方案

将组件 gitlab 升级至 16.9.1 及以上版本

参考链接

https://www.oscs1024.com/hd/MPS-32tr-yco1

https://nvd.nist.gov/vuln/detail/CVE-2024-1451

https://gitlab.com/gitlab-org/gitlab-foss/-/commit/eac095941872f337e573563fe59f5c57f7d7c448

https://hackerone.com/reports/2371126

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击加入讨论🔥(1) 发布并加入讨论🔥
1 评论
0 收藏
分享
返回顶部
顶部